/**
 * サンプルプログラム8: 『<biz-stream_home>/sample/java/Sample8.java』
 * PDF文書の概要設定を行うサンプルです。
 *
 * @author Copyright 2002-2017 by BrainSellers.com Corp. All rights reserved.
 * @version 1.0.1
 * @since 4.6.0
 */

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Hashtable;

import com.brainsellers.pdf.PDFRuntimeException;
import com.brainsellers.xml.JaxpXML;
import com.brainsellers.xml.common.XMLSuper;

public class Sample8 {

	public static void main(String[] args) {
		new Sample8(args);
		System.exit(0);
	}

	public Sample8(String[] args) {
		try {
			// (1) 入出力共にファイル名で指定する
			XMLSuper xml = new JaxpXML("${base-dir}/sample/java/Sample1.xml",
					"${base-dir}/sample/java/Sample8.pdf");

			// (2) レイアウト情報(XML)の解析を行う
			xml.parse();

			// (3) <Layout>タグの幅と高さをページサイズとして使用する
			xml.setPageSize();

			// (4) 文書の概要設定を行う
			xml.setTitle("タイトル by サンプルアプリケーション");
			xml.setAuthor("作成者 by サンプルアプリケーション");
			xml.setSubject("サブタイトル by サンプルアプリケーション");
			xml.setKeywords("サンプルキーワード by サンプルアプリケーション");

			// (5) 文書情報「ベースURL」を設定する
			xml.setBaseURI("http://www.brainsellers.com/");

			// (6) レイアウト情報(XML)に渡すデータのセットを行う
			// ("レイアウト情報(XML)のName属性で指定された名前","データ内容")をセットする
			Hashtable<String, String> ht = new Hashtable<String, String>();
			ht.put("Title", "biz-Stream v5 Sample8");
			ht.put("company", "ブレインセラーズ・ドットコム株式会社");
			ht.put("address", "[ファイル]メニューの");
			ht.put("phone", "[プロパティ]を開き、");
			ht.put("fax", "概要、詳細設定を確認してください");

			// (7) Hashtableの値をセットする
			xml.setValues(ht);

			// (8) 座標計算を行う
			xml.calcDataSize();

			// (9) データのセットおよび座標計算を行った後、PDFを生成する
			xml.toPDF();

			// (10) PDFを出力する
			xml.close();

		} catch (PDFRuntimeException e) {
			e.printStackTrace();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
